#!/usr/bin/env python
# encoding: utf-8
"""
Author: Nick Bearson, nickb@ssec.wisc.edu
Copyright (c) 2012 University of Wisconsin SSEC. All rights reserved.
"""

VIIRS_GEO_REGEX = '.*/?(G(MTC|ITC|DNB)O)'
VIIRS_IMG_REGEX = '.*/?(SV(I[0-9][0-9]|M[0-9][0-9]|DNB))'
VIIRS_CMA_REGEX = '.*/?(IICMO)'
VIIRS_DATE_REGEX = '.*_npp_d([0-9]{8})_t([0-9]{7})_e([0-9]{7})_.*.h5'

CRIS_GEO_REGEX = '.*/?(GCRSO)'
CRIS_IMG_REGEX = '.*/?(SCRIS)'

def search_list_regex(alist, regex):
  """
  Utility function to search a list of strings and return a list of any that match the given regular expression.
  """
  import re # FIXME: move this function, and move this import when you do
  retlist = []
  for i in alist:
    if re.match(regex, i):
      retlist.append(i)
  if len(retlist) > 0:
    return retlist
  else:
    return []
